light.h File Reference
`#include <ubuntu/visibility.h>`
`#include <stdint.h>`
Include dependency graph for light.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef void | UASLightEvent
| Opaque type describing an ambient light sensor reading. More...

## Functions

UBUNTU_DLL_PUBLIC uint64_t | uas_light_event_get_timestamp (UASLightEvent *event)
| Query the timestamp of the sensor reading. More...
UBUNTU_DLL_PUBLIC UStatus | uas_light_event_get_light (UASLightEvent *event, float *value)
| Query the value measured by the ambient light sensor. More...

## Typedef Documentation

typedef void UASLightEvent

Opaque type describing an ambient light sensor reading.

Definition at line 34 of file light.h.

## Function Documentation

UBUNTU_DLL_PUBLIC UStatus uas_light_event_get_light | ( | UASLightEvent * | event,
|  | float * | value
| ) |  |

Query the value measured by the ambient light sensor.

Returns
  The ambient light level.

Parameters

  [in] | event | The reading to be queried.

UBUNTU_DLL_PUBLIC uint64_t uas_light_event_get_timestamp | ( | UASLightEvent * | event | ) |

Query the timestamp of the sensor reading.

Returns
  The timestamp of the sensor reading in [µs], timebase: monotonic clock.

Parameters

  [in] | event | The reading to be queried.